Subject: Re: [PATCH v3] net: ethernet: davicom: fix devicetree irq resource

From: Sergei Ianovich <[email-masked]>
Date: Mon, 22 Feb 2016 03:54:21 +0300

On Sat, 2016-02-20 at 21:45 +0100, Robert Jarzmik wrote:
> The dm9000 driver doesn't work in at least one device-tree
> configuration, spitting an error message on irq resource :
> [    1.062495] dm9000 8000000.ethernet: insufficient resources
> [    1.068439] dm9000 8000000.ethernet: not found (-2).
> [    1.073451] dm9000: probe of 8000000.ethernet failed with error -2
> 
> The reason behind is that the interrupt might be provided by a gpio
> controller, not probed when dm9000 is probed, and needing the probe
> deferral mechanism to apply.
> 
> Currently, the interrupt is directly taken from resources. This patch
> changes this to use the more generic platform_get_irq(), which
> handles
> the deferral.
> 
> Moreover, since commit Fixes: 7085a7401ba5 ("drivers: platform: parse
> IRQ flags from resources"), the interrupt trigger flags are honored
> in
> platform_get_irq(), so remove the needless code in dm9000.
> 
> Signed-off-by: Robert Jarzmik <[email-masked]>
> Acked-by: Marcel Ziswiler <[email-masked]>
> Cc: Sergei Shtylyov <[email-masked]>
> 

Tested-by: Sergei Ianovich <[email-masked]>

I've hit the original bug too. This patch fixes the *regression*. It
may be worth adding a note about this.

-- 
Sergei Ianovich <[email-masked]>